Package org.eclipse.jdt.launching.sourcelookup.advanced

# Class AdvancedJavaLaunchDelegate

java.lang.Object
org.eclipse.debug.core.model.LaunchConfigurationDelegate
org.eclipse.jdt.launching.AbstractJavaLaunchConfigurationDelegate
org.eclipse.jdt.launching.JavaLaunchDelegate
org.eclipse.jdt.launching.sourcelookup.advanced.AdvancedJavaLaunchDelegate

All Implemented Interfaces:
  `org.eclipse.debug.core.IDebugEventSetListener`, `org.eclipse.debug.core.model.ILaunchConfigurationDelegate`, `org.eclipse.debug.core.model.ILaunchConfigurationDelegate2`

public class AdvancedJavaLaunchDelegate extends JavaLaunchDelegate
A launch delegate for launching local Java applications with advanced source lookup support.

Since:
  3.10
Provisional:
  This is part of work in progress and can be changed, moved or removed without notice

## Field Summary

### Fields inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`complileErrorProjectPromptStatus, complileErrorPromptStatus, promptStatus, saveScopedDirtyEditors, switchToDebugPromptStatus`

## Constructor Summary

Constructors
Constructor
Description
`AdvancedJavaLaunchDelegate()`

## Method Summary

### Methods inherited from class org.eclipse.jdt.launching.JavaLaunchDelegate

`launch, showCommandLine`

### Methods inherited from class org.eclipse.jdt.launching.AbstractJavaLaunchConfigurationDelegate

`abort, allowAdvancedSourcelookup, getBootpath, getBootpathExt, getBreakpoints, getBuildOrder, getClasspath, getClasspathAndModulepath, getDefaultWorkingDirectory, getEnvironment, getJavaLibraryPath, getJavaProject, getJavaProjectName, getLaunch, getLaunchManager, getMainTypeName, getModuleCLIOptions, getProgramArguments, getProjectsForProblemSearch, getVMArguments, getVMArguments, getVMConnectorId, getVMInstall, getVMInstallName, getVMInstallType, getVMInstallTypeId, getVMRunner, getVMSpecificAttributesMap, getWorkingDirectory, getWorkingDirectoryPath, handleDebugEvents, isAllowTerminate, isLaunchProblem, isStopInMain, preLaunchCheck, prepareStopInMain, setDefaultSourceLocator, supportsModule, supportsPreviewFeatures, verifyJavaProject, verifyMainTypeName, verifyVMInstall, verifyWorkingDirectory`

### Methods inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`addReferencedProjects, buildForLaunch, buildProjects, computeBuildOrder, computeReferencedBuildOrder, existsProblems, finalLaunchCheck, saveBeforeLaunch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdvancedJavaLaunchDelegate

public AdvancedJavaLaunchDelegate()